> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/assistant/get-conversations ## OpenAPI ````json POST /v2/assistant/get-conversations { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/assistant/get-conversations": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssistantGetConversationsPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2AssistantGetConversationsPostResponse" } } } } } } } }, "components": { "schemas": { "v2AssistantGetConversationsPostRequest": { "type": "object", "properties": { "timeWindow": { "$ref": "#/components/schemas/assistantTimeWindow" }, "userId": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "v2AssistantGetConversationsPostResponse": { "type": "object", "properties": { "conversationList": { "type": "array", "items": { "$ref": "#/components/schemas/assistantAssistantConversation" } }, "enableContextHistory": { "type": "boolean", "example": true } }, "additionalProperties": false }, "assistantTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "assistantAssistantConversation": { "type": "object", "properties": { "conversationHeader": { "type": "string", "example": "example string" }, "conversationId": { "type": "string", "example": "example string" }, "conversationRecentTimestamp": { "type": "integer", "format": "int64", "example": 1234567891011 }, "enableContextHistory": { "type": "boolean", "example": true } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````